Bug 12346 - False patron modification alerts on members-home.pl
Summary: False patron modification alerts on members-home.pl
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-02 16:44 UTC by Kyle M Hall
Modified: 2017-10-29 17:48 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12346 - False patron modification alerts on members-home.pl (1.91 KB, patch)
2014-06-02 16:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bgu 12346: Display the correct number of pending patron modifications on the patron module home page (2.30 KB, patch)
2017-09-06 14:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bgu 12346: Display the correct number of pending patron modifications on the patron module home page (2.42 KB, patch)
2017-09-07 23:25 UTC, Alex Buckley
Details | Diff | Splinter Review
Bgu 12346: Display the correct number of pending patron modifications on the patron module home page (2.48 KB, patch)
2017-09-11 14:50 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-06-02 16:44:39 UTC
Due to the way members-home.pl handles the variable $branch, the number of patron modifications listed on members-home.pl may differ from the number listed on mainpage.pl. When the librarian clicks this link, he or she may see a different number than was listed, or none at all!
Comment 1 Kyle M Hall 2014-06-02 16:49:44 UTC
Created attachment 28621 [details] [review]
Bug 12346 - False patron modification alerts on members-home.pl

Due to the way members-home.pl handles the variable $branch, the number
of patron modifications listed on members-home.pl may differ from the
number listed on mainpage.pl. When the librarian clicks this link, he or
she may see a different number than was listed, or none at all!

Test Plan:
1) Create a number of modification request for BranchA
2) Log into the staff intranet and set your branch to BranchB
3) Note the modifications alert to does display on mainpage.pl
4) Click the "Patrons" link to take you to members-home.pl
5) Note the modifictions alert does display on this page
6) Apply this patch
7) Reload members-home.pl, note the alert no longer displays
Comment 2 Christopher Brannon 2014-06-19 22:21:39 UTC
Kyle,
I am not seeing that behavior on master.  Can you confirm the steps, and maybe include a quick video?

Christopher
Comment 3 Liz Rea 2014-09-10 04:51:01 UTC
I was able to reproduce your problem, but I got the following when I tried to use the members-home with the patch:

Global symbol "$flags" requires explicit package name at /home/liz/koha-src/koha/members/members-home.pl line 97.
Execution of /home/liz/koha-src/koha/members/members-home.pl aborted due to compilation errors.

(Plus there was a minor conflict which seemed straightforward enough so I fixed that up, but still no luck.)

Liz
Comment 4 Liz Rea 2014-09-10 04:54:10 UTC
Hm, actually let me give that one more go...
Comment 5 Liz Rea 2014-09-10 04:57:27 UTC
I missed a thing in the merge issue - I got this to work so I'll have another look tomorrow - sorry about that.

Liz
Comment 6 Owen Leonard 2014-09-10 14:47:53 UTC
I submitted modifications from patrons with several different home libraries (borrowers.branchcode) and logged in to the staff client using accounts from a couple of different libraries but I didn't see any difference in the count of pending patron modifications. It counted and displayed all pending modifications.
Comment 7 Owen Leonard 2014-10-23 16:15:38 UTC
Still can't reproduce this.
Comment 8 Jonathan Druart 2017-09-06 14:27:04 UTC
Created attachment 66880 [details] [review]
Bgu 12346: Display the correct number of pending patron modifications on the patron module home page

Due to the way members-home.pl handles the variable $branch, the number
of patron modifications listed on members-home.pl may differ from the
number listed on mainpage.pl. When the librarian clicks this link, he or
she may see a different number than was listed, or none at all!

Test Plan:
0) Set IndependentBranchesPatronModifications = Yes
1) Create a number of modification request for BranchA
2) Log into the staff intranet with a patron without superlibrarian
permissions and set your branch to BranchB
3) Note the modifications alert to does not display on mainpage.pl
4) Click the "Patrons" link to take you to members-home.pl
5) Note the modifictions alert does display on this page
6) Apply this patch
7) Reload members-home.pl, note the alert no longer displays

QA notes: What was the point of the branch variable?
Comment 9 Jonathan Druart 2017-09-06 14:27:28 UTC
Still valid, I have updated the patch and test plan.
Comment 10 Alex Buckley 2017-09-07 23:25:19 UTC
Created attachment 66966 [details] [review]
Bgu 12346: Display the correct number of pending patron modifications on the patron module home page

Due to the way members-home.pl handles the variable $branch, the number
of patron modifications listed on members-home.pl may differ from the
number listed on mainpage.pl. When the librarian clicks this link, he or
she may see a different number than was listed, or none at all!

Test Plan:
0) Set IndependentBranchesPatronModifications = Yes
1) Create a number of modification request for BranchA
2) Log into the staff intranet with a patron without superlibrarian
permissions and set your branch to BranchB
3) Note the modifications alert to does not display on mainpage.pl
4) Click the "Patrons" link to take you to members-home.pl
5) Note the modifictions alert does display on this page
6) Apply this patch
7) Reload members-home.pl, note the alert no longer displays

QA notes: What was the point of the branch variable?

Followed test plan, patch worked as described. Also passed QA test tool
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 11 Tomás Cohen Arazi 2017-09-11 14:50:25 UTC
Created attachment 67046 [details] [review]
Bgu 12346: Display the correct number of pending patron modifications on the patron module home page

Due to the way members-home.pl handles the variable $branch, the number
of patron modifications listed on members-home.pl may differ from the
number listed on mainpage.pl. When the librarian clicks this link, he or
she may see a different number than was listed, or none at all!

Test Plan:
0) Set IndependentBranchesPatronModifications = Yes
1) Create a number of modification request for BranchA
2) Log into the staff intranet with a patron without superlibrarian
permissions and set your branch to BranchB
3) Note the modifications alert to does not display on mainpage.pl
4) Click the "Patrons" link to take you to members-home.pl
5) Note the modifictions alert does display on this page
6) Apply this patch
7) Reload members-home.pl, note the alert no longer displays

QA notes: What was the point of the branch variable?

Followed test plan, patch worked as described. Also passed QA test tool
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 12 Jonathan Druart 2017-09-12 15:11:02 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 13 Fridolin SOMERS 2017-10-23 14:28:52 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 14 Katrin Fischer 2017-10-29 17:48:59 UTC
This patch has been pushed to 16.11.x and will be in 16.11.14.